Lantw44's Projects

lantw44/aarch64-linux-gnu-toolchain

Latest version of GNU Binutils, GCC, GLIBC which support cross-compiling for GNU/Linux running on 64-bit ARMv8 CPU. Binaries built by this toolchain should be able to run on Fedora AArch64. RPM specs for this project is maintained in the same repository as arm-linux-gnueabi-toolchain.
  • Fedora 30 : i386, x86_64
  • Fedora 31 : i386, x86_64
  • Fedora 32 : i386, x86_64
  • Fedora rawhide : i386, x86_64

lantw44/arm-linux-gnueabihf-toolchain

Latest version of GNU Binutils, GCC, GLIBC which support cross-compiling for GNU/Linux running on 32-bit ARMv7 CPU with hardware floating point. Binaries built by this toolchain should be able to run on Fedora ARM. RPM specs for this project is maintained in the same repository as arm-linux-gnueabi-toolchain.
  • Fedora 30 : i386, x86_64
  • Fedora 31 : i386, x86_64
  • Fedora 32 : i386, x86_64
  • Fedora rawhide : i386, x86_64

lantw44/chromium

Chromium web browser packages for Fedora. This package may conflict with chromium packages found in other repositories.
  • Fedora 30 : x86_64
  • Fedora 31 : x86_64
  • Fedora 32 : x86_64
  • Fedora rawhide : x86_64

lantw44/guix

GNU Guix: A purely functional package manager for the GNU system.
  • Fedora 30 : i386, x86_64
  • Fedora 31 : i386, x86_64
  • Fedora 32 : i386, x86_64
  • Fedora rawhide : i386, x86_64

lantw44/test

This is a test project you should not use.
  • Fedora 32 : aarch64, x86_64
  • Fedora rawhide : aarch64, x86_64

lantw44/gcoin-community-git

Warning: It looks like Gcoin is now an abandoned project, so I won't upload any new packages here unless it is revived. Gcoin blockchain is an open-source software built for next-generation digital infrastructure, the distributed ledger. Warning: Packages in this repository are built from git snapshots. Do not use it in production environments.
  • Epel for CentOS 7 : x86_64
  • Fedora 30 : i386, x86_64
  • Fedora 31 : i386, x86_64
  • Fedora 32 : i386, x86_64
  • Fedora rawhide : i386, x86_64

lantw44/gcoin-community

Warning: It looks like Gcoin is now an abandoned project, so I won't upload any new packages here unless it is revived. Gcoin blockchain is an open-source software built for next-generation digital infrastructure, the distributed ledger. Packages in this repository are built from stable releases.
  • Epel for CentOS 7 : x86_64
  • Fedora 30 : i386, x86_64
  • Fedora 31 : i386, x86_64
  • Fedora 32 : i386, x86_64
  • Fedora rawhide : i386, x86_64

lantw44/ht-latest

Latest HT Editor for Fedora. Please contact me if you find my packages is out-of-date for more than 3 days. The maintainer of the official Fedora package donesn't update it. Note: HT Editor was updated on 2019-08-05. This repository will not receive any updates unless the official package becomes outdated again.
  • Epel for CentOS 7 : x86_64
  • Fedora 30 : i386, x86_64
  • Fedora 31 : i386, x86_64
  • Fedora rawhide : i386, x86_64

lantw44/bugzilla50-deps-el7

Warning: This repository is currently unmaintained because I decided to move my own bugzilla instance from CentOS to Fedora. Bugzilla 5.0 dependencies that are not available or too old in CentOS 7 Most packages are rebuilds of stable Fedora packages (currently Fedora 23). Please contact me if you find my packages is out-of-date. Drop ExtUtils-MakeMaker-7.04-Link-to-libperl-explicitly-on-Linux.patch sed -i '/^%patch1/d' perl-ExtUtils-MakeMaker.spec
  • Epel for CentOS 7 : x86_64

lantw44/rsyslog-mongodb-el7

Warning: This repository is currently unmaintained because we decided to move to other logging solutions. rsyslog rebuilt with mongodb support for CentOS 7 sed -i 's|%global want_mongodb 0|%global want_mongodb 1|' rsyslog.spec
  • Epel for CentOS 7 : x86_64

lantw44/vim-latest

Latest Vim for Fedora and CentOS 7. Please contact me if you find my packages have been broken for more than 3 days. Builds in this repository are mostly submitted by an automatic script. They are not tested by me before submission, and you have to trust upstream developers for not making serious breakage.
  • Epel for CentOS 7 : aarch64, x86_64
  • Epel for CentOS 8 : aarch64, x86_64
  • Fedora 30 : aarch64, i386, x86_64
  • Fedora 31 : aarch64, i386, x86_64
  • Fedora 32 : aarch64, i386, x86_64
  • Fedora rawhide : aarch64, i386, x86_64

lantw44/kernel-pvh

Linux kernel packages rebuilt with Xen PVH support sed -i 's|# CONFIG_XEN_PVH is not set|CONFIG_XEN_PVH=y|' config-x86_64-generic

lantw44/util-linux-unshare-f21

util-linux 2.25.2 with unshare bug fixed for Fedora 21. Note: Fedora 22 was released on 2015-05-26. This repository will not receive any updates. Fedora 22 provides util-linux 2.26.2, which does not have this bug.

lantw44/python-psutil2-f21

python-psutil 2.x rawhide rebuild for Fedora 21. It is needed to run pwntools. Note: Fedora 22 was released on 2015-05-26. This repository will not receive any updates. Fedora 22 or later version have python-psutil 2.x in the default repository.
  • 1
  • 2